Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libhdhomerun
#Epoch:		0
Version:	20100828
Release:	1
License:	GNU/LGPLv3
URL:		http://download.silicondust.com/hdhomerun
Group:		System/Libraries
Summary:	HDHomeRun access library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}_%{version}.tgz

# Patches:
# add install target to makefile
Patch0:		libhdhomerun-makefile.patch

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
HDHomeRun configuration library allows you to discover HDHomeRun  
ATSC/QAM/DVB tuners on the network. It can configure the tuners, scan  
for channels, and retrieve information including signal strength. A  
shared library is included for linking by client applications and a  
simple console application is included for scripting.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}
%patch0 -p1

%build
make all %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mkdir include
cp -a *.h include
sed -r 's|(^#include +["])(.*)(["] *$)|#include <hdhomerun/\2>|' \
    hdhomerun.h > include/hdhomerun.h
mkdir -p $RPM_BUILD_ROOT%{_includedir}/hdhomerun
install -m0755 include/*.h $RPM_BUILD_ROOT%{_includedir}/hdhomerun/

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/hdhomerun_config
%{_libdir}/libhdhomerun.so

%files devel
%defattr(-,root,root)
%{_includedir}/hdhomerun

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Tue Dec 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 20100828-1
- initial CCux package release
